Package jam.panels

# Class StatusProvider.Helper

java.lang.Object
jam.panels.StatusProvider.Helper

All Implemented Interfaces:
  `StatusProvider`

Enclosing interface:
  `StatusProvider`

public static class StatusProvider.Helper extends Object implements StatusProvider

## Nested Class Summary

## Nested classes/interfaces inherited from interface jam.panels.StatusProvider

`StatusProvider.Helper`

## Constructor Summary

Constructors
Constructor
Description
`Helper()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addOverrideProvider(StatusProvider provider)`
`void`
`addStatusListener(StatusListener statusListener)`
Status providers must be able to store a list of StatusListeners.
`void`
`fireStatusButtonPressed()`
Fire a status bar event to anything interested.
`void`
`fireStatusChanged(int status, String statusText)`
`int`
`getStatus()`
`String`
`getStatusText()`
`boolean`
`hasOverrideProvider()`
`void`
`removeOverrideProvider(StatusProvider provider)`
`void`
`removeStatusListener(StatusListener statusListener)`
Remove the given StatusListener from the provider's list.
`void`
`statusButtonPressed()`
The status bar has been pressed.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Helper

public Helper()

## Method Details

### addStatusListener

public void addStatusListener(StatusListener statusListener)
Description copied from interface: `StatusProvider`
Status providers must be able to store a list of StatusListeners. They should then call the appropriate methods on all of these to update the status.

Specified by:
  `addStatusListener` in interface `StatusProvider`
Parameters:
  `statusListener` - the StatusListener to be added

### removeStatusListener

public void removeStatusListener(StatusListener statusListener)
Description copied from interface: `StatusProvider`
Remove the given StatusListener from the provider's list.

Specified by:
  `removeStatusListener` in interface `StatusProvider`
Parameters:
  `statusListener` - the StatusListener to be removed

### fireStatusChanged

public void fireStatusChanged(int status, String statusText)

Specified by:
  `fireStatusChanged` in interface `StatusProvider`

### addOverrideProvider

public void addOverrideProvider(StatusProvider provider)

Specified by:
  `addOverrideProvider` in interface `StatusProvider`

### removeOverrideProvider

public void removeOverrideProvider(StatusProvider provider)

Specified by:
  `removeOverrideProvider` in interface `StatusProvider`

### fireStatusButtonPressed

public void fireStatusButtonPressed()
Description copied from interface: `StatusProvider`
Fire a status bar event to anything interested.

Specified by:
  `fireStatusButtonPressed` in interface `StatusProvider`

### statusButtonPressed

public void statusButtonPressed()
Description copied from interface: `StatusProvider`
The status bar has been pressed. This method should not really be here. You should instead call `StatusProvider.fireStatusButtonPressed()`

Specified by:
  `statusButtonPressed` in interface `StatusProvider`

### getStatus

public int getStatus()

Specified by:
  `getStatus` in interface `StatusProvider`

### getStatusText

public String getStatusText()

Specified by:
  `getStatusText` in interface `StatusProvider`

### hasOverrideProvider

public boolean hasOverrideProvider()